<div class="horizontal-centered-block">
  <div class="theme-wrapper">
    <div class="theme-card noselect" draggable="false">
      <div class="theme-header">
        <div class="back-btn">
          <ion-button
            color="dark"
            fill="outline"
            size="small"
            matTooltip="{{ 'MANIFESTS.BACK_BTN' | translate }}"
            (click)="onBack()"
          >
            <ion-icon name="return-up-back-outline"></ion-icon>&nbsp;
          </ion-button>
        </div>

        <div class="header-title">
          {{ "MANIFESTS.TITLE" | translate }}
        </div>

        <div
          class="refresh-btn"
          matTooltip="{{ 'MANIFESTS.REFRESH_RECORDS' | translate }}"
          (click)="onRefresh()"
          *ngIf="!isLoading"
        >
          <ion-icon name="refresh-outline"></ion-icon>
        </div>
        <div class="load-indicator" *ngIf="isLoading">
          <ion-spinner name="crescent" color="primary"></ion-spinner>
        </div>
      </div>

      <div class="theme-content">
        <table>
          <tr class="attribute-row">
            <td class="attribute-label">{{ 'MANIFESTS.NAME' | translate }}</td>
            <td class="attribute-value">{{ repoName }}</td>
          </tr>

          <tr class="attribute-row">
            <td class="attribute-label">{{ 'MANIFESTS.TAG' | translate }}</td>
            <td class="attribute-value">{{ tag }}</td>
          </tr>

          <tr class="attribute-row">
            <td class="attribute-label">{{ 'MANIFESTS.DIGEST' | translate }}</td>
            <td class="attribute-value select">{{ manifest?.digest }}</td>
          </tr>

          <tr class="attribute-row">
            <td class="attribute-label">{{ 'MANIFESTS.SIZE' | translate }}</td>
            <td class="attribute-value">{{ formatSize(manifest?.size) }}</td>
          </tr>

          <tr class="attribute-row">
            <td class="attribute-label">{{ 'MANIFESTS.CREATED_AT' | translate }}</td>
            <td class="attribute-value">{{ manifest?.createdAt | date : "yyyy-MM-dd hh:mm" }}</td>
          </tr>

          <tr class="attribute-row">
            <td class="attribute-label">{{ 'MANIFESTS.UPDATED_AT' | translate }}</td>
            <td class="attribute-value">{{ manifest?.updatedAt | date : "yyyy-MM-dd hh:mm" }}</td>
          </tr>

          <tr class="attribute-row">
            <td class="attribute-label">{{ 'MANIFESTS.OS_NAME' | translate }}</td>
            <td class="attribute-value">{{ manifest?.osName }}</td>
          </tr>

          <tr class="attribute-row">
            <td class="attribute-label">{{ 'MANIFESTS.OS_VERSION' | translate }}</td>
            <td class="attribute-value">{{ manifest?.osVersion }}</td>
          </tr>

          <tr class="attribute-row">
            <td class="attribute-label">{{ 'MANIFESTS.ARCHITECTURE' | translate }}</td>
            <td class="attribute-value">{{ manifest?.architecture }}</td>
          </tr>
        </table>
      </div>

      <div class="theme-footer">
        <div class="btn-groups">
          <div class="left-btn-group"></div>

          <div class="right-btn-group">
            <ion-button
              color="danger"
              fill="outline"
              [disabled]="isLoading"
              (click)="onDelete()"
              >{{ 'MANIFESTS.DELETEBTN' | translate }}</ion-button
            >
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
